
<ion-content>
  <div class="container header">
    <div class="title">
      <div class="container-flex">
        <img src="assets/icon/cart.svg" class="item icon">
        <h1 class="item flex-grow-item">Mon panier</h1>
      </div>
    </div>
    <hr>
  </div>
  <div *ngIf="data" class="bodyContent">
  <div *ngIf="card.length > 0" id="container-card">
    <div  *ngFor="let items of list"  class="container lg-space container-card">
      <a href="#">
        <p class="link">A 3 km – Lausanne, VD</p>
      </a>
      <div class="info-card flex">
        <div class="container-flex">
          <div class="item">
            <h2 class="prod-name">{{items[0].farm.name}}</h2>
          </div>
          <div class="item"><img src="assets/icon/open.svg" class="open-icon"></div>
        </div>
        <hr>
        <div *ngFor="let product of items">
        <div  class="container-flex three-columns">
          <div class="big-item-one img-container">
            <img src="{{product.photo}}" alt="product-picture" class="img cart-img">
          </div>
          <div class="big-item-two">
            <h2 class="big-text prod-name">{{product.name}}</h2>
            <div class="container-flex">
              <div class="item"><p class="small-text">Le {{product.unity}}</p></div>
              <div class="item"><p class="small-text align-right">{{product.price}} CHF</p></div>
            </div>
            <div class="plusmoins flex">
                <div class="container-flex">
                  <div class="item" (click)="decrement()"><img src="assets/icon/less.svg"></div>
                  <div class="item centered">

                      <ion-input [(ngModel)]="currentQuantity" name="quantity"  placeholder="1"  class="myinput"></ion-input>

                  </div>
                  <div class="item" (click)="increment()"><img src="assets/icon/plus.svg"></div>
                </div>
            </div>
            <hr>
          </div>
          <div class="big-item-three">
            <img src="assets/icon/close.svg" class="open-icon">
          </div>
        </div>

          <div class="container-flex">
            <div class="item"><h3>Total :</h3></div>
            <div class="item"><h3 class="align-right">{{product.quantity*product.price}} CHF</h3></div>
          </div>
          <hr>
        </div>
        <div class="info-chip scroll-item container-flex sm-space">
          <p class="small-text">Livraison à domicile</p>
          <img src="assets/icon/check.svg" alt="check" class="chip-check">
        </div>
      </div>
    </div>
  </div>
  </div>

    <!-- Skeleton screen -->
<div *ngIf="!data" class="skeleton container flex lg-space ">
  <ion-list>
    <ion-label>
      <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
    </ion-label>

      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>

  </ion-list>
</div>


  <div *ngIf="card.length < 1" id="container-card-empty">
    Empty card
  </div>
  <div class="container">
    <ion-button (click)="command()"  class="agri-btn right-btn">Passer commande</ion-button>
  </div>

  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <a href="/homepage-consommateur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="home" class="tab-inactive"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-tab-button>
        </a>
        <a href="/marketplace-products" class="menu-link">
        <ion-tab-button>
          <ion-icon name="nutrition" class="tab-inactive"></ion-icon>
          <ion-label>Marché</ion-label>
        </ion-tab-button>
        </a>
        <a href="/panier" class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="icon-active"></ion-icon>
            <ion-label class="label-active">Panier</ion-label>
            <ion-badge color="danger">{{card.length}}</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-consommateur" class="menu-link">
          <ion-tab-button >
            <ion-icon name="person" class="tab-inactive"></ion-icon>
            <ion-label>Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>

</ion-content>
